#!/bin/sh

. /lib/ar71xx.sh
. /lib/freifunk/lib_node.sh

uci -q batch <<EOF
set network.freifunk='interface'
set network.freifunk.ifname='bat0'
set network.freifunk.type='bridge'
set network.freifunk.proto='none'
set network.freifunk.auto='1'
set network.freifunk.accept_ra='1'
set network.freifunk.dns='fdd3:5d16:b5dd::2'

set network.freifunk6='interface'
set network.freifunk6.ifname='@freifunk'
set network.freifunk6.proto='dhcpv6'

set network.mesh='interface'
set network.mesh.proto='batadv'
set network.mesh.mtu='1528'
set network.mesh.mesh='bat0'

set network.mesh5='interface'
set network.mesh5.proto='batadv'
set network.mesh5.mtu='1528'
set network.mesh5.mesh='bat0'

set network.mesh_vpn='interface'
set network.mesh_vpn.ifname='mesh-vpn'
set network.mesh_vpn.proto='batadv'
set network.mesh_vpn.mesh='bat0'

set network.bat0='interface'
set network.bat0.proto='none'
set network.bat0.ifname='bat0'
EOF

local mainmac=$(get_main_address)
local oIFS="$IFS"; IFS=":"; set -- $mainmac; IFS="$oIFS"
local b2mask=0x02
local vpnaddr=$(printf "%02x:%s:%s:%02x:%s:%s" $(( 0x$1 | $b2mask )) $2 $3 $(( (0x$4 + 1) % 0x100 )) $5 $6)
local lanaddr=$(printf "%02x:%s:%s:%02x:%s:%s" $(( 0x$1 | $b2mask )) $2 $3 $(( (0x$4 + 2) % 0x100 )) $5 $6)

uci set network.freifunk.macaddr="$mainmac"
uci set network.bat0.macaddr="$mainmac"
uci set network.mesh_vpn.macaddr="$vpnaddr"
uci set network.lan.macaddr="$lanaddr"

uci commit network
