cat <<EOF > /etc/collectd.conf
BaseDir "/var/run/collectd"
Include "/etc/collectd/conf.d"
PIDFile "/var/run/collectd.pid"
PluginDir "/usr/lib/collectd"
TypesDB "/usr/share/collectd/types.db"
Interval 30
ReadThreads 2

LoadPlugin iwinfo
<Plugin iwinfo>
	IgnoreSelected true
	Interface bat0
	Interface "br-freifunk"
	Interface "br-wan"
	Interface eth0
	Interface "eth0.1"
	Interface "eth0.2"
	Interface "mesh-vpn"
</Plugin>

LoadPlugin interface
<Plugin interface>
	IgnoreSelected true
	Interface lo
</Plugin>

LoadPlugin ping
<Plugin ping>
	TTL 127
	Interval 30
	Host "fdd3:5d16:b5dd:3::6"
</Plugin>

LoadPlugin network
<Plugin network>
	Server "fdd3:5d16:b5dd:3::6" "25827"
	Forward false
</Plugin>
EOF

local hostname="$(uci get freifunk.@node[0].nodeid).nodes.kbu.freifunk.net"

cat >> /etc/collectd.conf <<EOF
	Hostname   "${hostname}"
EOF

