#!/bin/sh

logger rfkill action:${ACTION} type:${TYPE}
[ "${ACTION}" = "released" -o -n "${TYPE}" ] || exit 0

logger rfkill drin
. /lib/functions.sh

local rfkill_state=0

wifi_rfkill_set() {
        #logger rfkill-config-set: "$@"
        #logger rfkill-config-set: $1
  #uci set wireless.$1.disabled=$rfkill_state
  case $1 in 
    wifi_freifunk|wifi_mesh|wifi_freifunk5|wifi_freifunk5a|wifi_mesh5)
      logger rfkill-case $1 $rfkill_state
      uci set wireless.$1.disabled=$rfkill_state
      ;;
  esac
}

wifi_rfkill_check() {
  local disabled
  config_get disabled $1 disabled
  [ "$disabled" = "1" ] || rfkill_state=1
}

config_load wireless
case "${TYPE}" in
"switch")
  [ "${ACTION}" = "released" ] && rfkill_state=1
  ;;
*)
  config_foreach wifi_rfkill_check wifi-device
  ;;
esac
logger "rfkill_state=$rfkill_state"
#config_foreach wifi_rfkill_set wifi-device
config_foreach wifi_rfkill_set wifi-iface 
uci commit wireless

wifi up

if [ $rfkill_state -eq 0 ]
then
  logger rfkill start fastd
  if pidof fastd > /dev/null
  then
    logger -t rfkill "do not start fastd: it is already running"
  else
    #todo: schöner!
    #todo: alfred muss auch noch gestoppt werden 
    #todo: und was ist, wenns gar nicht enabled ist?
    /etc/init.d/fastd start
  fi
else
  logger rfkill stop fastd
  if pidof fastd > /dev/null
  then
    #todo: schöner! 
    #todo: alfred muss auch noch gestoppt werden 
    /etc/init.d/fastd stop
  else
    logger -t rfkill "not killing fastd: nothing to kill"
  fi
fi

